Bug 3401 - ldd warns about execution permission for libraries
: ldd warns about execution permission for libraries
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc-utils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-23 17:08 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-23 17:08:02
ldd produces a warning about libraries that do not have execution permissions.
Latest ALT rpm-build scripts drop execution permissions automatically, though.

$ ldd /lib/libm.so.6
ldd: warning: you do not have execution permission for `/lib/libm.so.6'
        libc.so.6 => /lib/i686/libc.so.6 (0x00148000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)
$
------- Comment #1 From 2004-01-11 02:45:33 -------
So you think that this warning shold be removed? 
I'm not sure yet. 
------- Comment #2 From 2004-03-26 20:52:21 -------
Fixed in 2.2.6-alt0.12